Bric::App::CleanupHandler(3p)

NAME
Bric::App::CleanupHandler - Cleans up at the end of a request.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-06-15 21:46:46 +0200 (Thu, 15 Jun 2006) $

SYNOPSIS
  <Perl>
  use lib '/usr/local/bricolage/lib';
  </Perl>
  PerlModule Bric::App::Handler
  PerlModule Bric::App::AccessHandler
  PerlModule Bric::App::CleanupHandler
  PerlFreshRestart    On
  DocumentRoot "/usr/local/bricolage/comp"
  <Directory "/usr/local/bricolage/comp">
      Options Indexes FollowSymLinks MultiViews
      AllowOverride None
      Order allow,deny
      Allow from all
      SetHandler perl-script
      PerlHandler Bric::App::Handler
      PerlAccessHandler Bric::App::AccessHandler
      PerlCleanupHandler Bric::App::CleanupHandler
  </Directory>

DESCRIPTION
This module handles the cleanup phase of an Apache request. It logs all events to the database (which in turn send any alerts), syncs the session data, and clears out the request cache.

INTERFACE

  Constructors
NONE.

  Destructors
NONE.

  Public Class Methods
NONE.

  Public Functions

my $status = handler()
    Handles the apache request.

    Throws: None - the buck stops here!

    Side Effects: NONE.

    Notes: NONE.

PRIVATE

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric